MCP Tools Reference: ces.googleapis.com

도구: start_export_app

CES 앱 내보내기를 시작합니다.

다음 샘플은 curl를 사용하여 start_export_app MCP 도구를 호출하는 방법을 보여줍니다.

curl 요청
                  
curl --location 'https://ces.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "start_export_app",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

입력 스키마

McpService.StartExportApp에 대한 요청 메시지입니다.

StartExportAppRequest

JSON 표현
{
  "projectId": string,
  "locationId": string,
  "appId": string
}
필드
projectId

string

내보낼 앱의 프로젝트 ID입니다.

locationId

string

내보낼 앱의 위치 ID입니다.

appId

string

내보낼 앱의 앱 ID입니다.

출력 스키마

CES 앱을 내보내는 작업입니다.

ExportAppOperation

JSON 표현
{
  "name": string,
  "done": boolean,
  "content": string
}
필드
name

string

내보내기 앱 작업의 리소스 이름입니다.

done

boolean

작업이 완료되었는지 여부입니다.

content

string (bytes format)

[done] 이 true인 경우 압축된 앱 내보내기의 zip 파일 바이트가 포함됩니다. 이는 yaml 형식의 앱 구성 파일이 포함된 폴더입니다.

base64 인코딩 문자열입니다.

도구 주석

파괴적 힌트: ❌ | 동일한 힌트: ❌ | 읽기 전용 힌트: ❌ | 오픈 월드 힌트: ❌